textures/urban_terror3/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

textures/urban_terror/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/urban_terror2/fence
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/urban_terror2/fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/common/caulk
{
	surfaceparm nodraw
        surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/metalclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/base_floor/pjgrate2
{
	surfaceparm	metalsteps		
	cull none

	
	{
		map textures/base_floor/pjgrate2.tga
		tcmod scale 2.0 2.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/base_floor/proto_grate4
{
	surfaceparm	metalsteps	
        surfaceparm trans		
	surfaceparm nonsolid  
	cull none
        nopicmip

	
	{
		map textures/base_floor/proto_grate4.tga
		
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_light/light1red_2000
{
	qer_editorimage textures/base_light/light1red.tga
	q3map_lightimage textures/base_light/light1red.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light1red.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{	
		map textures/base_light/light1red.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/lt2_8000
{
	qer_editorimage textures/base_light/light2.tga
	surfaceparm nomarks
	q3map_surfacelight 8000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light2.blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/base_support/x_support3
{
	surfaceparm	metalsteps	
	surfaceparm trans	
	surfaceparm alphashadow
    surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/base_support/x_support3.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_trim/wires01
{
    cull disable
    surfaceparm alphashadow
    deformvertexes autosprite2
    surfaceparm trans	
        {
                map textures/base_trim/wires01.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/base_wall/bluemetal1b_chrome
{
	qer_editorimage textures/base_wall/bluemetal1b_shiny.tga

	{
		map textures/base_wall/chrome_env2.tga
	        rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/base_wall/bluemetal1b_shiny.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha	
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/gothic_light/gothic_light2_lrg_500
{
	qer_editorimage textures/gothic_light/gothic_light2_lrg.tga
	q3map_surfacelight 500
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_lrg.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		
		blendfunc gl_one gl_one
	}
}

textures/gothic_trim/pitted_rust3_trans
{
	qer_editorimage textures/gothic_trim/pitted_rust3.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	
	}
	{
		map textures/gothic_trim/pitted_rust3.tga
		rgbgen identity
		blendfunc gl_dst_color gl_zero

	
	}
}

textures/gothic_wall/xoct20c_shiney
{
	qer_editorimage textures/gothic_wall/xoct20c_shiney.tga
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/gothic_wall/xoct20c_shiney.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/liquids/clear_ripple1
{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformvertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}

}

models/mapobjects/skel/skel
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/skel/skel.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

textures/sfx/beam
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		map textures/sfx/beam.tga
                tcmod scroll .3 0
                blendfunc add
        }
     
}

textures/sfx/flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 7500
	

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/sfx/flame1dark
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 2000
	

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/sfx/flame2
{
		surfaceparm nomarks
		surfaceparm nolightmap
		cull none
		q3map_surfacelight 5500
		qer_editorimage textures/sfx/flame2.tga

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	

	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/sfx/fog_pjdm1
{
		qer_editorimage textures/sfx/fog_grey.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( .733 .737 .620 ) 300

}

models/mapobjects/ka_light/light
{
	qer_editorimage textures/base_light/light2.tga
	surfaceparm nomarks
	q3map_surfacelight 4000

	{
		map $lightmap
		rgbgen identity
	}
	{
		map models/mapobjects/ka_light/light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light2.blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc gl_one gl_one
	}
}

models/mapobjects/ka_light/lens
{
	cull disable
	deformvertexes autosprite2
	surfaceparm trans
	surfaceparm nolightmap

	{
		map models/mapobjects/ka_light/lens.tga
		blendfunc add
		rgbgen identity
	}
}

models/mapobjects/kfengine/genaxis
{	
q3map_surfacelight 180
q3map_lightimage models/mapobjects/kfengine/lightblu.tga
	{ 
	map models/mapobjects/kfengine/env.tga
        tcgen environment
	
	tcmod rotate 10
	rgbgen vertex
   	}
}

models/mapobjects/kfengine/fireshine
{
polygonoffset
	{ 
	map models/mapobjects/kfengine/wheelbevel.tga
	blendfunc add
	
	rgbgen wave noise .3 .1 0 10
	}
}

models/mapobjects/kfengine/floorbox
{
	
	
	{ 
	map models/mapobjects/kfengine/floortile.tga
	tcmod scale 7 7
	rgbgen vertex
   	}
	

	{ 
	map models/mapobjects/kfengine/floorplate.tga
	blendfunc blend
	tcmod scale 1 1
	rgbgen vertex
   	}
		
}

models/mapobjects/kfengine/floorlights
{
polygonoffset	
q3map_surfacelight 500
q3map_backsplash 0 0
q3map_lightimage models/mapobjects/kfengine/lightimage.tga
	{ 
	map models/mapobjects/kfengine/floorlights.tga
	rgbgen vertex
	blendfunc blend
	tcmod scale 1 5
	}
	{ 
	map models/mapobjects/kfengine/floorlights-dyn.tga
	blendfunc add
	tcmod scale 1 5
	rgbgen wave sin .5 .05 0 10
	}	
}

models/mapobjects/kfengine/oven
{
	{ 
	map models/mapobjects/kfengine/floortile.tga
	tcmod scale 4 4
	rgbgen vertex
   	}
	{ 
	map models/mapobjects/kfengine/oven.tga
	blendfunc blend
	rgbgen vertex
	}		
}

models/mapobjects/kfengine/ovendoor
{
	{ 
	map models/mapobjects/kfengine/fire1.tga
	
	rgbgen wave noise .7 .3 0 5
	
	tcmod scroll 0 -7
	}
	{ 
	map models/mapobjects/kfengine/env.tga
        tcgen environment
	rgbgen const ( .3 .3 .3 )
	blendfunc add
   	}	
	{ 
	map models/mapobjects/kfengine/ovendoor.tga
	blendfunc blend
	rgbgen vertex
	}
}

models/mapobjects/kfengine/console
{
polygonoffset	
	{ 
	map models/mapobjects/kfengine/console.tga
	blendfunc blend
	tcmod scale -1 -1
	rgbgen vertex
	}
	
	
}

models/mapobjects/kfengine/compressor
{	
	{ 
	map models/mapobjects/kfengine/compressor.tga
	rgbgen vertex
   	}
	{ 
	map models/mapobjects/kfengine/detail.tga
	blendfunc filter
	tcmod scale 24 24
   	}	
}

models/mapobjects/kfengine/wheel
{
	{ 
	map models/mapobjects/kfengine/wheel.tga
	rgbgen vertex
	tcmod rotate 360
   	}
	{ 
	map models/mapobjects/kfengine/wheelhilo.tga
	rgbgen vertex
	tcmod scale 1 1
	blendfunc blend
   	}
}

models/mapobjects/kfengine/wheeltop
{	
	{ 
	map models/mapobjects/kfengine/wheelenviro.tga
	rgbgen vertex
	tcmod scale 1 .25
        tcmod stretch sin .95 0.05 0 .15	
   	}
	{ 
	map models/mapobjects/kfengine/wheeltop.tga
	rgbgen vertex
	blendfunc blend
	tcmod scroll -2 0	
   	}
}

models/mapobjects/kfengine/wheelbevel
{
polygonoffset	
	{ 
	map models/mapobjects/kfengine/wheelbevel.tga
	blendfunc blend
	rgbgen vertex
	alphafunc gt0
	depthwrite
	}
	{ 
	map models/mapobjects/kfengine/wb-light.tga
	blendfunc add
	rgbgen wave sin .5 .5 0 .5
	}	
}

models/mapobjects/kfengine/power-out
{	
	{ 
	map models/mapobjects/kfengine/wheelbevel.tga
	rgbgen vertex
	}
	{ 
	map models/mapobjects/kfengine/gen-electric.tga
	blendfunc add
	rgbgen wave noise 0 1 0 11 
	tcmod scale 2 2
	tcmod scroll 1 -2
	}

}

models/mapobjects/kfengine/water-in
{
	{ 
	map models/mapobjects/kfengine/water.tga
	tcmod scale 2 4
	tcmod turb 1 .5 0 .1
	tcmod scroll .1 .5
	
	}
	{ 
	map models/mapobjects/kfengine/env.tga
        tcgen environment
	tcmod scale 1 2
	rgbgen vertex
	blendfunc add
   	}	
	{ 
	map models/mapobjects/kfengine/steampipe.tga
	blendfunc blend
	rgbgen vertex
	}
}

models/mapobjects/kfengine/steampipe1
{
	{ 
	map models/mapobjects/kfengine/pipesteam.tga
	tcmod scale 1 2
	rgbgen wave sin .7 .7 .61 1
	tcmod scroll 0 -3
	}
	{ 
	map models/mapobjects/kfengine/env.tga
        tcgen environment
	tcmod scale 1 3
	blendfunc add
   	}	
	{ 
	map models/mapobjects/kfengine/steampipe.tga
	blendfunc blend
	rgbgen vertex
	}
}

models/mapobjects/kfengine/steampipe2
{
	{ 
	map models/mapobjects/kfengine/pipesteam.tga
	tcmod scale 1 2
	rgbgen wave sin .7 .7 .11 1
	tcmod scroll 0 -3
	}
	{ 
	map models/mapobjects/kfengine/env.tga
        tcgen environment
	tcmod scale 1 3
	blendfunc add
   	}	
	{ 
	map models/mapobjects/kfengine/steampipe.tga
	blendfunc blend
	rgbgen vertex
	}
}

models/mapobjects/kfengine/generator
{
	{ 
	map models/mapobjects/kfengine/gen-copper.tga
	tcmod scale 8 2
	rgbgen vertex
	tcmod scroll 0 4
	}
	{ 
	map models/mapobjects/kfengine/gen-electric.tga
	blendfunc add
	rgbgen wave noise 0 1 0 20
	tcmod rotate 43
	tcmod stretch sin .4 .3 0 .6 
	tcmod turb 0 .1 0 .23
	}
	{ 
	map models/mapobjects/kfengine/generator.tga
	rgbgen vertex
	alphafunc gt0
	}	
}

models/mapobjects/kfengine/compbase
{
	{ 
	map models/mapobjects/kfengine/compbase.tga
	rgbgen vertex
	}
	{ 
	map models/mapobjects/kfengine/detail.tga
	blendfunc filter
	tcmod scale 12 12
   	}
}

models/mapobjects/kfengine/kettle
{
	{ 
	map models/mapobjects/kfengine/floortile.tga
	tcmod scale 3 3
	rgbgen vertex
   	}
	{ 
	map models/mapobjects/kfengine/kettle.tga
	blendfunc blend
	rgbgen vertex
	}
	{ 
	map models/mapobjects/kfengine/detail.tga
	blendfunc filter
	tcmod scale 12 12
   	}

}

models/mapobjects/kfengine/comp1vent1
{	
deformvertexes move 0 -1 1 triangle 1 7 .21 1
	{ 
	map models/mapobjects/kfengine/compressor.tga
        rgbgen vertex
   	}
}

models/mapobjects/kfengine/comp1vent2
{	
deformvertexes move 0 -1 1 triangle 1 7 .71 1
	{ 
	map models/mapobjects/kfengine/compressor.tga
	rgbgen vertex
   	}
}

models/mapobjects/kfengine/comp2vent1
{	
deformvertexes move 0 1 1 sin 1 6 .71 1
	{ 
	map models/mapobjects/kfengine/compressor.tga
	rgbgen vertex
   	}
}

models/mapobjects/kfengine/comp2vent2
{	
deformvertexes move 0 1 1 sin 1 6 .21 1
	{ 
	map models/mapobjects/kfengine/compressor.tga
        rgbgen vertex
   	}
}

models/mapobjects/kfengine/push1chrome
{	
deformvertexes move 1 0 0 sin 1 60 .21 1
	{ 
	map models/mapobjects/kfengine/env.tga
        tcgen environment
	tcmod scale .25 .25
	tcmod rotate 10
	rgbgen vertex
   	}
}

models/mapobjects/kfengine/push1box
{	
surfaceparm trans
deformvertexes move 1 0 0 sin 1 60 .21 1
	{ 
	map models/mapobjects/kfengine/pushbox.tga
	rgbgen vertex
   	}
	{ 
	map models/mapobjects/kfengine/detail.tga
	blendfunc filter
	tcmod scale 8 8
   	}	
}

models/mapobjects/kfengine/rot1chrome
{	
	deformvertexes move 1 0 0 sin 1 60 .27 1
	deformvertexes move 0 0 1 sin 1 60 .5 1	
	deformvertexes normal .1 1
	{ 
	map models/mapobjects/kfengine/env.tga
        tcgen environment
	tcmod scale .25 .25
	tcmod rotate 10
	rgbgen vertex
   	}
}

models/mapobjects/kfengine/rot1metal
{	
	deformvertexes move 1 0 0 sin 1 60 .27 1
	deformvertexes move 0 0 1 sin 1 60 .5 1	
	{ 
	map models/mapobjects/kfengine/rotmetal.tga
 	rgbgen vertex
   	}
	{ 
	map models/mapobjects/kfengine/detail.tga
	blendfunc filter
	tcmod scale 10 10
   	}	
}

models/mapobjects/kfengine/push2chrome
{	
	deformvertexes move 1 0 0 sin 1 60 .71 1
	deformvertexes normal .1 1
	{ 
	map models/mapobjects/kfengine/env.tga
        tcgen environment
	tcmod scale .25 .25
	tcmod rotate 10
	rgbgen vertex
   	}
}

models/mapobjects/kfengine/push2box
{	
	deformvertexes move 1 0 0 sin 1 60 .71 1
	surfaceparm trans
	{ 
	map models/mapobjects/kfengine/pushbox.tga
	rgbgen vertex
   	}
}

models/mapobjects/kfengine/rot2chrome
{	
	deformvertexes move 1 0 0 sin 1 60 .77 1
	deformvertexes move 0 0 1 sin 1 60 1 1
	deformvertexes normal .1 1
	
	{ 
	map models/mapobjects/kfengine/env.tga
        tcgen environment
	tcmod scale .25 .25
	tcmod rotate 10
	rgbgen vertex
   	}
}

models/mapobjects/kfengine/rot2metal
{	
	deformvertexes move 1 0 0 sin 1 60 .77 1
	deformvertexes move 0 0 1 sin 1 60 1 1	
	{ 
	map models/mapobjects/kfengine/rotmetal.tga
 	rgbgen vertex
   	}
	{ 
	map models/mapobjects/kfengine/detail.tga
	blendfunc filter
	tcmod scale 10 10
   	}	
}

models/mapobjects/kfengine/comp2glass
{	
	{ 
	map models/mapobjects/kfengine/cylinder.tga
	tcmod scale 2 1
	rgbgen vertex
   	}
	{ 
	map models/mapobjects/kfengine/cylindersteam.tga
	blendfunc blend
	tcmod scale .35 1
	tcmod stretch sin 2 .7 .71 1
	rgbgen wave sin .5 2 .21 1
   	}
	{ 
	map models/mapobjects/kfengine/cylinderblend.tga
	blendfunc blend
	tcmod scale .35 1
	tcmod stretch sin 2 .60 .71 1
	}	
	{ 
	map models/mapobjects/kfengine/env.tga
	tcgen environment
	rgbgen const ( .1 .1 .1 )
	tcmod scale 2 2
	blendfunc add
   	}
	{ 
	map models/mapobjects/kfengine/compglass.tga
	rgbgen vertex
	blendfunc blend
	
   	}
}

models/mapobjects/kfengine/comp1glass
{	
	{ 
	map models/mapobjects/kfengine/cylinder.tga
	tcmod scale 1 1
	rgbgen vertex
   	}
	{ 
	map models/mapobjects/kfengine/cylindersteam.tga
	blendfunc blend
	tcmod scale .35 1
	tcmod stretch sin 2 .7 .21 1
	rgbgen wave sin .5 2 .71 1
   	}
	{ 
	map models/mapobjects/kfengine/cylinderblend.tga
	blendfunc blend
	tcmod scale .35 1
	tcmod stretch sin 2 .60 .21 1
	}	
	{ 
	map models/mapobjects/kfengine/env.tga
        tcgen environment
	rgbgen const ( .1 .1 .1 )
	tcmod scale 2 1
	blendfunc add
   	}
	{ 
	map models/mapobjects/kfengine/compglass.tga
	rgbgen vertex
	blendfunc blend
   	}
}

models/mapobjects/kfengine/steam1
{	
	deformvertexes move 1 0 0 sin 30 30 .73 1
	cull none
	deformvertexes autosprite
	{ 
	clampmap models/mapobjects/kfengine/steam.tga
	blendfunc blend
	tcmod rotate 360
        rgbgen vertex
	alphagen wave sin .2 .8 0 1	
	}
	{ 
	clampmap models/mapobjects/kfengine/steam.tga
	blendfunc blend
	tcmod rotate -197
        rgbgen vertex
	alphagen wave sin .2 .8 0 1	
	}	
}

models/mapobjects/kfengine/steam2
{	
	deformvertexes move 1 0 0 sin 30 30 .23 1
	cull none
	deformvertexes autosprite
	{ 
	clampmap models/mapobjects/kfengine/steam.tga
	blendfunc blend
	tcmod rotate 360
        rgbgen vertex
	alphagen wave sin .2 .8 .5 1	
	}
	{ 
	clampmap models/mapobjects/kfengine/steam.tga
	blendfunc blend
	tcmod rotate -197
        rgbgen vertex
	alphagen wave sin .2 .8 .5 1	
	}	
}

textures/nuke512/nuke512
{
	qer_editorimage textures/nuke512/nuke512.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_sun .8 .8 .8 160 270 65
	q3map_surfacelight 100

        skyparms env/harlequin_sky/nuke512 - -
}

textures/ut_work/rorsh_4b_panel01_red
{
	qer_editorimage textures/ut_work/rorsh_4b_panel01.tga
	{
		map textures/ut_work/rorsh_4b_panel01.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/ut_work/rorsh_4b_panel01_r.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .5 .5 0 .5	
		depthfunc equal
	}
}

textures/ut_work/rorsh_4b_trim04_blu
{
	qer_editorimage textures/ut_work/rorsh_4b_trim04.tga
	q3map_surfacelight 50
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ut_work/rorsh_4b_trim04.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ut_work/rorsh_4b_trim04_glow_b.tga
		blendfunc gl_one gl_one
	}
}

textures/ut_work/rorsh_4b_trim04_red
{
	qer_editorimage textures/ut_work/rorsh_4b_trim04.tga
	q3map_surfacelight 50
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ut_work/rorsh_4b_trim04.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ut_work/rorsh_4b_trim04_glow_r.tga
		blendfunc gl_one gl_one
	}
}

textures/ut_work/evil_rmetal_pnl
{
	qer_editorimage textures/ut_work/evil_rmetal2c.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ut_work/evil_rmetal2c.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ut_work/evil_rmetal2c_glow.tga
		blendfunc gl_one gl_one
	}
}

textures/ut_work/evil_rust_pipes
{
	qer_editorimage textures/ut_work/evil_rstpipes_lum.tga
	q3map_surfacelight 100
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ut_work/evil_rstpipes_lum.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ut_work/evil_rstpipes_lum_glow.tga
		blendfunc gl_one gl_one
	}
}

textures/ut_work/rorsh_hhm_light01
{
	qer_editorimage textures/ut_work/rorsh_hhm_light01.tga
	q3map_lightimage textures/rorsh_hhm_light01_bl.tga
	q3map_surfacelight 1400
	surfaceparm nomarks	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ut_work/rorsh_hhm_light01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ut_work/rorsh_hhm_light01_bl.tga
		blendfunc gl_one gl_one
	}
}

textures/ut_work/light5_800
{
	qer_editorimage textures/base_light/light5.tga
	surfaceparm nomarks
	q3map_surfacelight 800
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/xlight5.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/xlight5.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ut_work/sl_lightwave_200_blue
{
	qer_editorimage textures/ut_work/sl_lightwave_blue.tga
	q3map_lightimage textures/ut_work/sl_lightwave_blue.tga

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 100

	skyparms - - -
	light 1
}

textures/ut_work/sl_lightwave_200_red
{
	qer_editorimage textures/ut_work/sl_lightwave_red.tga
	q3map_lightimage textures/ut_work/sl_lightwave_red.tga

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 100

	skyparms - - -
	light 1
}

textures/ut_work/sl_lightwave_100_grey
{
	qer_editorimage textures/ut_work/sl_lightwave_grey.tga
	q3map_lightimage textures/ut_work/sl_lightwave_grey.tga

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 100

	skyparms - - -
	light 1
}

textures/ut_work/sl_lightwave_50_grey
{
	qer_editorimage textures/ut_work/sl_lightwave_grey.tga
	q3map_lightimage textures/ut_work/sl_lightwave_grey.tga

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 50

	skyparms - - -
	light 1
}

textures/ut_work/sl_lightwave_25_grey
{
	qer_editorimage textures/ut_work/sl_lightwave_grey.tga
	q3map_lightimage textures/ut_work/sl_lightwave_grey.tga

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 25

	skyparms - - -
	light 1
}

textures/ut_work/sl_win_09
{
	qer_editorimage textures/ut_work/sl_win_09.tga
	q3map_lightimage textures/ut_work/sl_win_09_blend.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ut_work/sl_win_09.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ut_work/sl_win_09_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ut_work/sl_win_64
{
   qer_editorimage textures/ut_work/sl_win_09.tga
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_work/sl_win_09.tga
      blendfunc gl_one gl_zero
      alphafunc ge128
      depthwrite
      rgbgen identity
   }
   {
      map $lightmap
      rgbgen identity
      blendfunc gl_dst_color gl_zero
      depthfunc equal
}
}

textures/ut_work/sl_win305
{
	qer_editorimage textures/ut_work/sl_win305.tga
	q3map_lightimage textures/ut_work/sl_win305_blend.tga
	q3map_surfacelight 200
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ut_work/sl_win305.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ut_work/sl_win305_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ut_work/invisowater
{
	qer_trans 0.50
        qer_editorimage textures/common/white.tga
        surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
        surfaceparm water
}

textures/ut_work/sl_falls
{
	qer_editorimage textures/ut_work/sl_falls.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .6
        deformvertexes move .5 .5 0  sin 0 0 0 0.1
        deformvertexes move .6 .5.3 0  sin 0 .1 0 0.4
	cull none
       
	{
		map textures/ut_work/sl_falls.tga
                tcmod scroll .2 -1
                tcmod turb .25 .25 0 -.25
                blendfunc gl_one gl_one
        }
        {
		map textures/ut_work/sl_falls.tga
                tcmod scroll .01 -1.3
               
                blendfunc gl_one gl_one
        }     
}

textures/ut_work/steam_fx_1
{
	qer_editorimage textures/ut_work/qer_steam_fx_1.tga
	qer_trans 0.4
	cull none
	deformvertexes autosprite2
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	deformvertexes wave 50 sin 0 3 0 .3
	deformvertexes move .3 .1 0  sin 0 .5 0 0.2

	{
		map textures/ut_work/steam_fx_01.tga
		tcmod scroll 0 0.3
		blendfunc blend
		rgbgen vertex
	}
}

textures/ut_work/steam_fx_2
{
	qer_editorimage textures/ut_work/qer_steam_fx_1.tga
	qer_trans 0.4
	cull none
	deformvertexes autosprite2
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	deformvertexes wave 50 sin 0 3 0 .3
	deformvertexes move .3 .1 0  sin 0 .5 0 0.2

	{
		map textures/ut_work/steam_fx_02.tga
		tcmod scroll 0 0.3
		blendfunc blend
		rgbgen vertex
	}

}

textures/ut_work/kg_ovendoor
{
   qer_editorimage textures/ut_work/kg_ovendoor.tga
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_work/kg_ovendoor.tga
      blendfunc gl_one gl_zero
      alphafunc ge128
      depthwrite
      rgbgen identity
   }
   {
      map $lightmap
      rgbgen identity
      blendfunc gl_dst_color gl_zero
      depthfunc equal
}
}

textures/ut_work/sl_evl_handrail
{
   qer_editorimage textures/ut_work/evil_mtlrail_rst.tga
   surfaceparm noimpact
   surfaceparm trans
   surfaceparm nomarks
   surfaceparm nonsolid
   cull none
   nopicmip

   {
      map textures/ut_work/evil_mtlrail_rst.tga
      blendfunc gl_one gl_zero
      alphafunc ge128
      depthwrite
      rgbgen identity
   }
   {
      map $lightmap
      rgbgen identity
      blendfunc gl_dst_color gl_zero
      depthfunc equal
}
}

textures/ut_work/sl_ladder
{
	qer_editorimage textures/ut_work/sl_ladder.tga
	surfaceparm trans
	cull none
	nopicmip
	qer_trans 0.5

	{
	map textures/ut_work/sl_ladder.tga
	blendfunc gl_one gl_zero
	alphafunc ge128
	depthwrite
	rgbgen identity
	}
	{
	map $lightmap
	rgbgen identity
	blendfunc gl_dst_color gl_zero
	depthfunc equal
	}
}

textures/ut_work/sl_cablecross
{
	qer_editorimage textures/ut_work/sl_cable.tga
	surfaceparm trans
	cull none
	nopicmip
	qer_trans 0.5

	{
	map textures/ut_work/sl_cable.tga
	blendfunc gl_one gl_zero
	alphafunc ge128
	depthwrite
	rgbgen identity
	}
	{
	map $lightmap
	rgbgen identity
	blendfunc gl_dst_color gl_zero
	depthfunc equal
	}
}

textures/ut_work/sl_clock
{
	qer_editorimage textures/ut_work/sl_clock.tga
	q3map_lightimage textures/ut_work/sl_clock_blend.tga
	q3map_surfacelight 20
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ut_work/sl_clock.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ut_work/sl_clock_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ut_work/rorsh_4_wires01
{
	qer_editorimage textures/ut_work/rorsh_4_wires01.tga
	q3map_lightimage textures/ut_work/rorsh_4_wires01_blend.tga
	q3map_surfacelight 200
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ut_work/rorsh_4_wires01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ut_work/rorsh_4_wires01_blend.tga
		blendfunc gl_one gl_one
	}
}

